Skip to main content
POST
/
api
/
organizations
/
{organizationId}
/
data
/
{dataId}
/
add
Add files
curl --request POST \
  --url https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/data/{dataId}/add \
  --header 'Content-Type: multipart/form-data' \
  --header 'x-api-key: <api-key>' \
  --form 'files[]=<string>' \
  --form files[].items='@example-file'
import requests

url = "https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/data/{dataId}/add"

files = { "files[].items": ("example-file", open("example-file", "rb")) }
payload = { "files[]": "<string>" }
headers = {"x-api-key": "<api-key>"}

response = requests.post(url, data=payload, files=files, headers=headers)

print(response.text)
const form = new FormData();
form.append('files[]', '<string>');
form.append('files[].items', '{
"fileName": "example-file"
}');

const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};

options.body = form;

fetch('https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/data/{dataId}/add', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "error": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

organizationId
integer
required

Organization ID

dataId
integer
required

Data ID

Body

multipart/form-data
files[]
file[]
required

Response

200 - application/json

OK

success
boolean
required

Whether the operation succeeded

error
string

Optional error description (set if 'success' was false)